/*
 * @(#)AlgorithmParameterSpec.java	1.13 03/01/23
 *
 * Copyright 2003 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package java.security.spec;

/**
 * A (transparent) specification of cryptographic parameters.
 *
 * <P> This interface contains no methods or constants. Its only purpose
 * is to group (and provide type safety for) all parameter specifications.
 * All parameter specifications must implement this interface.
 * 
 * @author Jan Luehe
 *
 * @version 1.13, 01/23/03
 *
 * @see java.security.AlgorithmParameters
 * @see DSAParameterSpec
 *
 * @since 1.2
 */

public interface AlgorithmParameterSpec { }
